2-HEAVY.0.3.2 May 23, 2026 2025 Hurt Me Plenty edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

The main addition here is a complete revision of all "Majrusz accessories" numbers, heavy version of the modpack, and the writing of a group of quests (under "perks" page) to explain these accessories in full detail. How to get them, how to use them, including all those tweaked numbers.

I have ignored the game until April and then restarted a survival world from zero. So there are just small changes, as the time goes into playing and only more rarely spotting something that needs editing. But I prefer doing smaller releases with what i have than waiting something substantial. Go figure this new game is already at 24 real hours, and I've just reached the Create mixer quest. Only 76 deaths so far!

- As mentioned, complete revision of Majrusz accessories, and detailed quests covering everything. Heavy version only.
- Ongoing revision of quest text, to be as precise and helpful as possible.
- Added some increased worldgen for iron, zinc, tin and lead. Not really necessary, but can't hurt.
- improved recipes for coal + mortar > small dust > dust (and torches flow) fixed torch quest
- reverted flint knife recipe to default (just one flint piece)
- create hand crank recipe, internal cogwheel replaced with a standard shaft and fix quest descriptions
- spotted and fixed one recipe conversion substituting zinc dust with leach residue
- Heavy version only, health increase happens every 9 different foods, was 7 before.
- Heavy version only, added a recipe to craft bandages from linen item.
- Heavy version only, removed oxidized copper nugget recipe that was conflicting.
- slightly tweaked create "whisk" recipe
- removed some cooked egg duplicates
- added recipe to cut linen for strings, with a basic knife
- reduced size of onscreen world bookmarks
- specify in the quest that the "treelogger" function works only on wood blocks with leaves attached.
- unfired tempered brick, slightly changed color to make more distinct
- tried changing spawn rate of something in the Nether I can't remember

- added chunk sending & connectivity & better-chunk-loading-forge-fabric
- added item-highlighter-fabric + iceberg-fabric

- updated emi
- updated xaeros-minimap
- updated xaeros-world-map
- updated inventory-profiles-next
- updated fabrication
- updated packet-fixer


2-HEAVY.0.3.1 December 19, 2025 Hurt Me Plenty edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

This has taken way too long, for no good reason. I simply spent time running around a tons of other modded games... But work here is ongoing. Some fixes across the board, a needed boost to coal quarries, and all machines have sounds now, including the custom ones (power gen, furnaces and similar don't have sound because of a hard limit of the sound mod, since those machines don't use standard recipes).

More importantly, I think for the first time the modpack is in a place where I actually want to play it. At the level of pure player now the modpack is interesting for me. I'm going to start a new instance from zero so that I can go through the early game and quests again, and this will contribute to more needed polish overall. Time to focus on everything that has never been a priority up to this point. It's also time to test deeply the actual machine age and around February I also intend to look into Supersymmetry to see if they completed the massive circuit rework. There's a good chance that I'll overhaul things to match that, but we'll see.

- significantly increased coal output from quarry (goes up a lot more with tiering up)
- important fix for bronze production in melter/caster, by explicitly passing through mixer recipes (quests updated)
- lowered carburized stainless steel from 240 eu to 120 eu, because it required nichrome tier, and nichrome is made of stainless steel, creating a circular dependecy
- separated copper gears from casted copper wheels, to properly define a crafting path for Create cogwheels
- lowered kanthal hot ingot to ingot from 480 eu to 240 eu, as it makes more sense
- ore centrifuge tweaked to be available at LV rather than MV, to use for sluice juice earlier
- hardened andesite tweaks (shafts & co)
- simple motor recipe x3 from x2 (for pipes)
- standardized assembler-only advanced MI components recipes, added PE
- edited highly adv upgrades to use PTFE
- creosote can be used to fuel blaze burners (quests added)
- mechanical crafter, replaced precision mechanism with just one shaft and one less electron tube
- tweaked crafting table recipe
- nerfed iron nugget cost from 8 to 4, for sharp blades used in Create machines
- encased chain drive recipe, added iron ring
- shortcut for more fireclay bricks from steam blast furnace (with tiny amount of salt)
- tweaked clay production numbers
- tweaked duration for sluice recipes
- added minor utility recipe for gravel in centrifuge
- tweaked bronze and brass recipes in create basin to be slightly lossy
- tweaked create crushing common recycle recipes (like cobblestone) to use more the new ores
- option to use molten hematite directly for iron recipe, skipping casting and mixing
- removed 1 iron dust from vanilla blast furnace crafting recipe
- nerfed recipe treated planks from 250 tannin to 100, and hardened planks from 250 creosote to 50 (same for tool handles)
- properly sourced monazite gtnh processing (but still needs quarry recipes to be added)
- sandstone heated mixer recipe, from 4 to 6 sand as ingredient
- added steel and galvanized steel axes types to proper tree chop mod function
- use custom handle on create wrench recipe
- fixed croptopia flour recipe overlap, use mortar
- naturalist gloop, removed because of duplication bug
- removed death waypoints due to ftbchunks
- nerfed zombie raids
- added quest to explain the create funnel problem (can't extract from machines)
- small fix to nether quest that under rare circumstances wouldn't get unlocked
- removed by default inventory continuous crafting button
- fixed some buggy animated textures on custom machines
- fixed missing active shredder side texture
- improved lcr ui layout
- fixed uranium tetrafluoride missing texture
- some ongoing questbook polish & fix (and still lots to do)

- packet-fixer fixed crash on start
- emi solved button on at all times
- neep crash fix

- added back redirector & better-biome-blend

- removed inmis & inmisaddon (already too many backpacks)
- removed enhanced celestials

- updated yttr (back on cf, so no more manual intervention...)
- updated neepmeat
- updated fabric-language-kotlin
- updated inventory-profiles-next
- updated wthit
- updated xaeros-minimap
- updated xaeros-world-map


2-HEAVY.0.3.0 June 29, 2025 Hurt Me Plenty edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Major new version. It's been a while and this is still a bit rough. I always intended to add GT6-style ore processing and this is the last big content addition. The only bit of content left is planned for Eden Ring "void dimension", that will use its own type of custom quarries and be fully independent from everything else. But this will require far less work and is already all planned in detail.

With this milestone reached I guess I can declare modpack development is now STARTING! What?! What do you mean that, after more than two years, work is about to... start? That's how it is. Most modpacks actually start development here. The heavy lifting in the background is done, so what's left is about giving it a proper structure. The difference between a bad and a good modpack is all about refining the experience, balance and polish. All traits that are severely missing here. The heavy experimental nature won't go away, but I do intend smoothing the experience.

I can't even do a proper changelog for this version, and the questbook has been neglected. I will do updates in July and August for "hotfixes", as needed, and to clean up the questbook. This is just another starting point and a number of things have been changed (BEWARE if you update, some mods have been removed as well, like Botania). All GregTech ores and ore processing are exclusive to the automated quarries, worldgen and standard ores haven't been touched. Bronze, steel and galvanized steel tools & armor have been added.

- added xxl-packets (trusting other modpacks still on 1.19)
- added eden-ring (bclib)
- added scannable (needed for Eden Ring ores)
- added platform (library for rotten-creatures)

- updated neepmeat
- updated wthit
- updated emi
- updated fabrication
- updated structure-layout-optimizer
- updated inventory-profiles-next
- updated immediatelyfast
- updated xaeros-minimap
- updated xaeros-world-map
- updated ftb-quests-fabric
- updated fabric-language-kotlin
- updated friends-and-foes

2-HEAVY.0.2.16b Christmas 25, 2024 Hurt Me Plenty edition 
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

This is a hotfix because I missed a comma on inventoryprofilenext config, it's really minor but I hate leaving things in a bad state. At the same time I was testing different mods to see if I could isolate a performance hiccup, so now you get some technical mod changes all in your face.

- added packet-fixer
- added irisshaders (to patch a texture bug so that I don't need to skip an optimization)
- structure-layout-optimizer

2-HEAVY.0.2.16 Christmas 25, 2024 Hurt Me Plenty edition 
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Some important changes and balancing to make it more tolerable. AE2 is now properly integrated to give the possibility of a full wireless system, expandable at will, already in early/mid LV stages (electricity). It's designed to mimic a concept coming from the game Satisfactory and seems to be working well in my tests. The quest page for AE2 has been fully rebuilt and everything is extensively explained and described. Along all that and other changes scattered around, there's once again a rebalancing of the quarry system. Lignite quarries removed and joined with coal, many numbers tweaked, and drills of tiers 2+ are simpler to automate immediately. It should all scale more smoothly. Beware the removal of the Twilight Forest, in case you wanted to update a world and went there for some reason. 

Next version will probably be sometime in February and continue adjusting the whole LV block of quests and progression, unless someone reports some problem. In that case I'll update whenever it happens.

- some deuterium processing (girdler process) taken and adapted from gregicality and susy, whenever it will be in the progression
- MD pipes nerfed (in the sense you get double of them when crafting)
- lots of tweaks to quarry recipes, lots of boosts and lignite is removed and now part of coal one
- drill tier 2+ simpler to craft due to the removal of the weird Create mechanical piston
- some sulfur processing tweaks
- brazier flame thing can now be produced, once you find the first
- fixed piston assembler recipe requiring a piston, rather than a motor. moved from crafting table to mechanical crafting
- some accessibility changes to paper: simpler automation path at bronze, chad to paper at steel, and then better still at LV
- made Create goggles recipe funnier
- a number of tweaks not documented

- removed the-twilight-forest (I don't think I'll ever have time to properly integrate, Botania may follow as well...)

- updated modernfix
- updated emi
- updated roughly-enough-items
- updated toms-peripherals
- updated fabric-language-kotlin
- updated inventory-profiles-next
- updated friends-and-foes
- updated spectrum (& patchouli-fabric now required)
- updated mariums-soulslike-weaponry
- updated immediatelyfast
- updated neepmeat
- updated sodium-shadowy-path-blocks
- updated xaeros-minimap
- updated xaeros-world-map
- updated fabrication

2-HEAVY.0.2.15 October 11, 2024 Hurt Me Plenty edition 
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

This update exists to make the modpack compatible with Java 23. Currently untested, but should be fine.

Only added 10 minor chemistry recipes that may be useful. The rest is an update to a few mods that is now possible because a crash fix has been solved. Beware, in some cases your REI bookmarks could be deleted. 

- updated/replaced farmers-delight-fabric-crash-fix
- updated roughly-enough-items
- updated cloth-config
- updated emi
- updated friends-and-foes
- updated xaeros-minimap
- updated sodium-shadowy-path-blocks

2-HEAVY.0.2.14 September 28, 2024 Hurt Me Plenty edition 
(I changed the subtitle because it seems a bit more appropriate, but still a Doom reference)
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

No changelog because I've worked on different things at different times. There are changes from early to late game. I'm at least confident it keeps improving. The changes to early game are mostly side steps rather than complications. The bigger focus was wrapping up the steel phase, preparing for electrical machines. And some relevant nerfs (in the sense of recipes made cheaper) to better afford more infrastructure and automation. I ported a few more things from TJ/Susy/GTNH, new battery recipes and some other stuff, but it's all waiting to be adjusted more precisely when testing gets there. Next phase will be about early LV and maybe some AE2 and other mods integration.

- updated modern-industrialization
- updated neepmeat
- updated emi
- updated immediatelyfast
- updated travelers-backpack-fabric
- updated mariums-soulslike-weaponry (& projectile-damage-attribute, required)
- updated botania-fabric
- updated fabric-language-kotlin
- updated xaeros-minimap
- updated xaeros-world-map
- updated alternate-current
- updated icarus
- updated servercore
- updated fabrication
- updated selene
- updated repurposed-structures-fabric
- updated friends-and-foes
- updated let-me-despawn
- updated ftb-chunks-fabric

2-HEAVY.0.2.13C July 15, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Another quick update to fix a reported problem.
Ideally, this also marks a shift in development from this point onward. I decided to fork my rigorous survival world so that I'll keep playing at my pace on the side, while mainly focusing on a cheat-assisted progression. The reason is that I move too slowly and I want to wrap up the modpack as a whole so that it actually works and plays well, all the way to the end. At my current pace in survival it would likely take years. So shifting to "cheating" in items I already know how to obtain will massively speed up my pace. This starts now but will only, likely, pick up pacing in September, onward. Hopefully by December I'll be done or nearly done. Then I'll look to see what could be done for a 1.21 port, but it will likely require to dismantle many cool ideas I've used and keep using here.

- fixed electric alloy smelter not correctly forming due to cut/paste typical mistake
- some minor rebalance around rubber recipes through early stages
- standardized some fluids in blast furnace to avoid use annoying fractions (like molten redstone and soldering alloy)
- tweaked fire clay dust recipe to reduce ingredients other than clay
- reduced fire clay brick blasting recipe duration from 40 to 30 seconds (takes still one hour for the whole multiblock, and that's the easy part)
- addressed some mistakes and wrong assumptions in boiler and blast furnace quests
- removed unnecessary glass dust recipe on a crafting table, to use mixer by default

- updated neepmeat
- updated emi
- updated travelers-backpack-fabric
- updated friends-and-foes
- updated friends-and-foes-beekeeper-hut-fabric

2-HEAVY.0.2.13B Jun 28, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Quick update to solve a progression block right at the start...

- coal block was made not craftable in very early game, creating a progression block (for vanilla blast furnace)
- tweaked coal and coke blocks energy values and crafting to be overall more consistent with changes
- changed netherrack grinding to reprocess netherrack dust in early game, rather than cluttering inventories, for very small chance at quartz + minuscule chance at sulfur
- hidden entities from world map default settings to keep things cleaner by default

- no mod updates

2-HEAVY.0.2.13 Jun 24, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Still survival testing at early to mid bronze and steam... Things will continue quite slowly until September. Though this version was well behaved during testing.

- Various quest edits and additions, especially to bronze age. Things getting smoothed and slightly balanced as I move forward. The questbook will continue to be filled up in detail as I move on with my own testing
- new bronze multiblock, as a creosote only steam production, works for the early bronze phase
- tweaks around creosote in coke oven and some other fuel values, to match the overall structure, all technical aspects precisely described within quests
- removed chance from creosote recipe to prevent voiding
- creosote buckets can now be used in furnaces (can't automate in machines)
- removed charcoal to coke, nerfed wood to charcoal so that the creosote output is tiny at the early phases, to actually discourage tree farms and just use coal properly instead
- rebalanced the clay quarry so that recipe times and outputs match the practical uses
- blasting iron nugget time down to 10 seconds rather than 20
- removed packed mud crafting table recipes, a machine does it
- early sulfur from lignite lowered from 55% to 30% chance, because still way too plentiful
- crushing lignite now has slightly better output than crushing standard coal, as a tiny buff for lignite
- some other minor edits I forgot to track

- roughly-enough-items & ruins not updated on purpose

- updated neepmeat
- updated xaeros-world-map
- updated xaeros-minimap
- updated emi
- updated immediatelyfast
- updated toms-storage-fabric
- updated fabric-language-kotlin
- updated gardens-of-the-dead
- updated ftb-chunks-fabric
- updated fabrication
- updated kubejs
- updated modernfix
- updated mariums-soulslike-weaponry
- updated savage-ender-dragon
- updated create-steam-n-rails
- updated morewaterlogging
- updated ftb-xmod-compat
- updated spectrum
- updated travelers-backpack-fabric
- updated turtlematic
- updated wthit
- updated ftb-quests-fabric
- updated badoptimizations

2-HEAVY.0.2.12 May 8, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Again just minor changes while I set up quarries in my rigorous survival test and slowly get through the resource scarcity in the early game phase.

- Added a recipe to craft a coal block, since now is required in the main progression (important fix, for that reason)
- copper wire "early access" recipe is tweaked, to avoid conflicts between similar recipes
- rubber now requires a full sulfur dust, an incentive to process lignite coal, and I'm currently swimming in it in survival, so the increase is fine
- added speedometer and stressometer as free rewards in a quest (they are useful to set up things)
- both coal and lignite now have a chance of returning extra tiny dusts when crushed, just another incentive to always process
- some tweaking of numbers through quarry tiers. The bigger tweaks: lignite is buffed and has some iron with it to maintain the first couple of tiers, coal is just coal now, to encourage going immediately to a coal and lignite separate quarries and to keep fuels viable, removed andesite from everything, because andesite is everywhere and there are recipes to infinitely produce it already
- some minor quest clarifications through early game phase

- removed redirectionor (I haven't found any issue, but performance impact is probably minuscule and I decided to better keep things simpler)

- updated neepmeat
- updated emi
- updated sodium-shadowy-path-blocks
- updated immediatelyfast

2-HEAVY.0.2.11 Apr 26, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Just small changes and fixes, but fairly important. Lots of time goes in playing survival, it's taking me forever to move on the progression. Until I have this progression wall to climb it's likely all my time has to be sunk on this, rather than bigger updates. The first three changes here below took me lots of hours to troubleshoot...

- fixed creeper explosions (this was a major problem, charged creepers would randomly spawn and immediately explode, destroying landscape over time. Underground was even worse...)
- "philipruins" mod added tons of small structures with hardcoded loot tables. All 250+ of them are now edited to avoid gated stuff like iron ingots.
- fixed amethyst shards not dropping. They actually dropped, but appearing at y = 1. This was due to an update to a mod that broke things. Should be good now.
- slowed production of quarry "experience" to better match game pacing (from 50% chance to 30%)
- Create valid sails for windmills are only sails now, not accepting wool blocks
- some quest updates for better early game guidance
- small chance at extra tiny coal dust in millstone
- rascal loot nerf (now useful, but not completely broken)
- slightly edited early quarries texture overlay

- removed straw-golem-reborn & tlib (occasional unrelated random crash)
- avoiding REI update, due to crashes on some recipes

- updated create-steam-n-rails
- updated neepmeat
- updated kubejs
- updated ruins
- updated travelers-backpack-fabric
- updated xaeros-minimap
- updated xaeros-world-map
- updated wthit
- updated fabrication
- updated modernfix
- updated toms-peripherals
- updated badoptimizations

2-HEAVY.0.2.10 Apr 9, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

Quick update to include the patched version of Create I've been waiting for a month.

"Hell on Earth" refers to difficulty balance. I've died over 450 times in survival, my world is all a crater. I've nerfed things since then, but it's still a significant challenge...

Everything done here (previous bigger version) reflects balance changes and additions as I progress in my survival test. Most of the early (but expansive) game is now where I want it to be and is perfectly stable in my tests, across many, many hours. Work continues.

- changed copper can early game to use a copper ring
- slightly lowered blasting time for andesite alloy
- mentioned in quest that to break early quarries you need reinforced flint level of pickaxes, and coal cost was tweaked to be better balanced

- updated create-fabric
- updated create-steam-n-rails
- updated travelers-backpack-fabric

2-HEAVY.0.2.9 Apr 6, 2024 Hell on Earth Edition
IMPORTANT! Look for POST-INSTALL.txt for instructions to complete installation.

This version is beta because the pack includes a BUGGY version of Create. I've waited a month but they still haven't made available the fixed version. Follow the post-install instructions to fix this problem, PLEASE. As soon Create publishes officially a new version, I'll update again.

"Hell on Earth" refers to difficulty balance. I've died over 450 times in survival, my world is all a crater. I've nerfed things since then, but it's still a significant challenge...

Everything done here reflects balance changes and additions as I progress in my survival test. Most of the early (but expansive) game is now where I want it to be and is perfectly stable in my tests, across many, many hours. Work continues. There are changes that are not detailed here, as I was working in frustration over a number of things, and tracked poorly what I was doing. This includes some mods being added or removed. In general this is a significant clean up for the whole first chunk of the game.

- lots of quest edits and additions through all early game, many other recipe tweaks and fixes not mentioned here
- some early tweaks to the quarry system, as I start using it, and quest updates
- changed how rings are crafted, create new age and additions now plugged in main progression, using magnets and electricity for early access to create smart component
- nerfed create sails recipes to be more sane
- added proper cogs to millstone, mixer and pump to avoid skips, updated quests
- removed crafting table "shaft" recipe, replaced with decent cutting board one, mechanical saw restored to 1 alloy to 4 shafts
- added recipe to "undo" andesite casing back to its component, can pry planks off one by one
- worldgen fixes for infinite ores and andesite wrongly generating in the nether
- some infinite ore tweaks on how they generate
- added introductory NEEPMeat quests, and tweaked a couple of recipes to gate it at steel/LV
- gated Tom's storage and added introductory quests, wireless terminals removed
- redone bucket recipe
- fixed some hopper duplicate recipes
- fixed some steel molds wrongly consumed
- fixed a lignite coal duplication process due to recipe sequences set wrong (few nested changes in here)
- tweak bad loot drops in some structures
- fixed bunch of tool/armor recipes from other mods and some more wood types
- remove kibe pocket crafting table & trash can
- gravel "dust" rebalance
- rebalanced "fromthefog"
- cooking pot recipe is less stupid
- terracotta/charm bricks, and other broken related stuff
- fixed two broken recipes, precious nuggets to gold nuggets in mixer, and tree bark to dust in millstone
- boosted fiber output from wheat 8% > 16%, still intended to use flax
- removed create new age thorium and magnetite from worldgen
- fixed some internal stuff within incendium
- removed /data/ farmers delight chocolate pie filling recipe, probably added by mistake?
- fixed minor yttr substitute error
- fixed miskatonic infested wheat lang
- fixed small/tiny coal dusts image

- added "officially" neepmeat
- create new age & additions now part of progression
- added fog-looks-good-now-fabric
- added upgraded-mobs as datapack (paxi)
- added attributefix
- added icterine

- removed structure-tools

- updated inventory-profiles-next
- updated ruins
- updated xaeros-minimap
- updated majruszs-accessories
- updated libipn
- updated xaeros-world-map
- updated wthit
- updated friends-and-foes
- updated toms-storage-fabric
- updated travelers-backpack-fabric
- updated fabric-language-kotlin
- updated cupboard
- updated emi
- updated supplementaries
- updated architectury-api
- updated modernfix
- updated polymorph-fabric
- updated badoptimizations
- updated create-steam-n-rails
- updated immediatelyfast
- updated mariums-soulslike-weaponry
- updated fabrication
- updated savage-ender-dragon
- updated megane

2-HEAVY.0.2.8b Feb 24, 2024
Look for POST-INSTALL.txt for instructions to complete installation. especially to restore bclib-jsonifier

- removed bclib-jsonifier, because of /dev/null curseforge moderation. This needs to be manually added.

2-HEAVY.0.2.8 Feb 23, 2024
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge. The complete list of mods that should be included can also be found in that file, if you want to verify everything was properly downloaded by the launcher.

Going very, very slowly due to my aversion of play-testing things rather than pure dev work... But doing some overdue cleaning that is far from done.

- tamed the too wild layout of the first quest page, sacrifices were made to meet a baseline level of polish, some quest changes and minor additions
- fixed typo in script that caused the vanilla large cogwheel recipe to be still valid...
- ceu discord convinced me galvanized steel is a good idea. Therefore electricity machines are now made of this new material, that justifed the difference between steel machines looking dark and LV machines looking shinier, now due to the zinc coating added through the use of galvanized steel. Mostly affect plates only. (hopper, electrolytic cell, motor, piston, carbon_electrode_assembly, autoclave, casing_solid_steel, casing_pipe_steel, crystallizer, weighted_ejector, adastra:steel_tank, fluid_pipe, diode)
- removed compacting of bronze nuggets to ingot, fuse nuggets to molten bronze (quest updated, I think)
- minor clay recipes adjustments 
- slightly modified crafting of first magnetic iron rod, and removed manual crafting of magnetic steel rods
- greggified compass recipe
- redone minecart & rails recipes
- added iron nuggets to door recipes... with some more wood compat. Dealing with wood recipes is always annoying (added a few more wood types to cutting machine)
- tweaked dropped broken tool parts in fabrication config
- use reinforced rod on bronze tools
- slightly tweaked and buffed torch recipes + creosote torch
- slight nerfs to standard barrel recipe (removed crafting table)
- removed different instances of copper nuggets (using create ones)
- removed yttr ultrapure ingots intruding everywhere
- removed ad astra overlapping materials
- corrected some more chests & barrels recipes from other wood types/mods
- since I was made aware of dank storage, corrected start recipes
- tweaked some annoying IPN buttons
- moved extreme sound muffler icon to a more suitable position
- done some inner datapack bullshit from mods, to keep kubejs entirely error-free
- minor recipe things I missed

- removed can-i-mine-this-block (included in wthit)
- removed peculiarpieces (to solve a recipe loading occasional issue, and removed related: nbt-crafting, polymer, visiblebarriers, patchouli, kofi-table)

- updated bclib-jsonifier (included, fixes some betterend recipes)
- updated supplementaries
- updated spectrum
- updated just-enough-calculation
- updated porting-lib
- updated fabric-language-kotlin
- updated botarium
- updated megane
- updated friends-and-foes
- updated emi
- updated badoptimizations
- updated xaeros-minimap
- updated xaeros-world-map
- updated fabrication
- updated ftb-quests-fabric
- updated immediatelyfast
- updated ruins
- updated ftb-quests-optimizer
- updated modernfix
- updated oh-the-biomes-youll-go-fabric
- updated kubejs
- updated wthit
- updated architectury-api
- updated cupboard

2-HEAVY.0.2.7b Jan 23, 2024
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge.
This file now also contain the full mod list, as it should be, so you can manually check that all mods are present with their correct version... if you feel doing so.

Been busy the past week, just two quick fix for issues that were reported.

- Fixes early progression block due to blackstone not being minable now. Removed the tag so it can be used.
- Fixed steam multiblock hatches missing their texture.

- updated friends-and-foes-beekeeper-hut-fabric (I have no idea why I even added this)
- updated wthit
- updated ruins
- updated kubejs
- updated badoptimizations
- updated botarium
- updated emi

2-HEAVY.0.2.7 Jan 12, 2024
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge.

I've fiddled with harvest levels of pickaxes and blocks, the concept is that you'll need reinforced flint tools for deepslate. This needs some further testing but is hopefully working already.

- Some changes to worldgen to address harvest level changes. Added new redstone vanilla veins higher up, because redstone is used for electron tubes, used in deployers very early in the progression.
- Amethyst geodes also moved slightly upwards so they are easier to find.
- Rose quartz recipes changed, now requiring less redstone, but needing amethyst. Added quests to describe weird processing changes and worldgen.
- Slightly different recipe for reinforced flint pickaxe, added quest.
- Added roughly 30 recipes around sugar/ethanol/ethylene, moving closer to Supersymmetry standard. Sugar now requiring a crystallizer. More recipe tweaking scattered all over the place, undocumented.
- Added fermentation vat multiblock, from Supersymmetry, and chemical bath, moved some recipes accordingly.
- Added a couple of quests and temporary recipes for "brazier" mod. Multiblock structure to prevent hostile mob spawn in a large area. Gated here by aluminium.
- Should have fixed "precious ore" actually spawning in badlands, but not tested.
- Important fix, recipes that checked dimensions, like quarries, didn't work because the label needs to be "the_nether" instead of just "nether", this has now been fixed.
- Too many hours spent on troubleshooting wthit/waila not properly having shadowed text in those tooltips. This was due by the mod using the same vanilla method of glow ink, that was disabled by a performance mod (feytweaks). Fixed by tweaking config.
- Known issue with large chest animation/sound breaking when interacted at max range. This also took too many hours to figure out, but I can't do anything about it. I've reported the bug to both mod and library author, neither of them answered.
- minor UI tweaks.

- added external porting-lib to fix Create crash with latest fabric api
- added badoptimizations, seems fine?

- updated fabrication
- updated selene
- updated betterend
- updated statement
- updated enchantment-descriptions
- updated emi
- updated applied-energistics-2
- updated ruins
- updated modernfix
- updated travelers-backpack-fabric
- updated morewaterlogging
- updated ftb-chunks-fabric
- updated lets-do-nethervinery
- updated friends-and-foes
- updated betternether
- updated supplementaries
- updated bclib

2-HEAVY.0.2.6 Dec 25, 2023
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge.

ANNIVERSARY RELEASE! (but otherwise minor, content-wise)
While I started writing the first custom recipe in the modpack only in September 2022 (starting from zero, with no previous knowledge about anything), then spent October troubleshooting game-breaking worldgen problems in 1.18, November porting the full platinum group processing to MI, and then December porting to 1.19, with all the troubles attached to it... It was only in late December that the CurseForge page became public, and a "playable" (not really) version available. It incredibly got approved on Christmas day, after I uploaded the first beta three days before then.

I spent this whole year adding the "bulk" of content, without testing anything, without playing anything. Just looking at the script files. It's a miracle that it's not worse than it is. The intention for all of 2024 (but no promise) is that I'll play in survival and focus entirely on polish and actual playability. I'll probably stick to 1.19 until the move to neoforge is viable. Many things I currently use are either missing or broken in 1.20.1.

- added 20 or so quests, mostly to detail the various stages of gold processing when they trigger, including in-depth description of the TJ gold chain that works perfectly as a tutorial on the aspects of GT automation and loops. Also overall changes to gold production, and one important fix to recipe (nitric acid was used twice).
- glass bottles have now their own non standard crafting line (and quests), used for underwater breathing and only unlocked at steel stage (glass in general)
- all crafted gold tools have silk touch applied as default, some general changes to processing
- disabled MI quest crafting support in config, only adds lag
- fixed impossible to notice typo in a recipe that broke platinum processing (it was probably there since forever)
- betternether quartz glass used for bottle, same for shields and some other stuff, recipes finally removed (added bclib jsonifier to fix the mess)
- removed ae2 tools, they were breaking tool progression with diamond level harvesting
- gated netherite much later (used Mikerooni's recipe from CEum + tweaks)
- fixed old tritanium duplicates
- fixed with a hack the possibility of tooltips getting printed more than once due to kubejs/REI loading issue (AGAIN!)
- ad astra materials moved to high ebf coils

- added fabric-super-secret-settings
- added remove-christmas-chests resource pack, not because I hate Christmas, but because I hate the textures

- removed fish-of-thieves, crash
- removed not-enough-crashes, crashing with fabric loader 0.15.0+ (should be fixed, but I was suggested to keep it off)

- updated ftb-quests-optimizer
- updated modernfix
- updated modern-industrialization
- updated xaeros-minimap
- updated cloth-config
- updated farmers-delight-fabric
- updated fabrication
- updated appleskin
- updated deeperdarker
- updated ruins
- updated spectrum
- updated fabric-language-kotlin
- updated rhino
- updated textile-backup
- updated enchantment-descriptions
- updated supplementaries
- updated emi
- updated unlimitedperipheralworks
- updated cooking-for-blockheads-fabric
- updated friends-and-foes
- updated immediatelyfast
- updated mariums-soulslike-weaponry
- updated xaeros-world-map
- updated ftb-chunks-fabric
- updated kubejs
- updated roughly-enough-items
- updated crafting-tweaks-fabric

2-HEAVY.0.2.5 Dec 2, 2023
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge.

This is a small update. I started playing in survival, but only got a crafting table, chest and a few tools. These are some small fixes to quests and other stuff. Plus an overhaul to all EBF coils, with complete recipes, and made a bit harder than any other GT version, since Susy isn't there yet.

My intention is doing small weekly or bi-weekly updates as I progress in survival test and fix and polish things.

+ fixed pickupnotofier config, been moved to directory
+ fixed plank quest not using tag, and other minor quest edits
+ added modded axes to fabric tree chopper
+ minor recipes changes, the crafting of soul sand is more complex since it can be centrifuged for some oil
+ removed byg chest recipe
+ added full set of bronze tools, nerfed wood durability, some other tweaks
+ fixed mirroring of flint axe/pickaxe in crafting table recipes
+ removed all powah worldgen
+ nerfed metal blocks that generate in structures to avoid progression skips
+ all EBF coils redone following CEu recent changes, all recipes done and made a bit worse

- added some cursed mods I forgot about to match my test

- updated unlimitedperipheralworks
- updated wthit
- updated vinery
- updated ftb-quests-fabric
- updated friends-and-foes
- updated fabric-language-kotlin
- updated xaeros-world-map
- updated fabric-api
- updated recipe-essentials-forge-fabric
- updated structure-essentials-forge-fabric
- updated peripheralium
- updated mariums-soulslike-weaponry
- updated xaeros-minimap
- updated supplementaries
- updated emi

2-HEAVY.0.2.4 Nov 19, 2023
Look for POST-INSTALL.txt for instructions to complete installation, since some mods may be unavailable on CurseForge.

This version is the last focused on adding "bulk" and marks a fundamental change in how I develop the modpack. For over a year I've worked completely "blind", without testing anything and just working within scripts. From this point onward I'll start playing in RIGOROUS survival.

It means development will slow down substantially, but I'll be able to tweak things as I go. I'll also keep looking at Supersymmetry updates to see if there's more stuff I can port, but at this point the priority moves toward trying to WRESTLE all that is already here into a coherent whole. It's time that I at least try making this into something actually playable and maybe fun. If I'm able to move through the progression, then it means everyone can. The questbook will follow my progress and will fill up as I go.

It's probable that as soon as I start I'll find game breaking bugs or other terrible things, and in these cases I'll resume updating more frequently. It now all depends on the speed of my own progression. But I like taking my time and go slow.

This version removes Ad Astra oil and AE2 meteors in worldgen (AE2 stuff will be craftable when I figure out what to do with it). Also adds infinite gas nodes in the Nether, and oil in Overworld (within sand). Some big chains have being added that aren't currently craftable, mostly about late game so it's not much of a big deal. But as usual there are changes scattered around. I can only hope to start making more organized and easy to track from now on. BUT since this phase is about me playing, it also means major mods could be cut or be added. Twilight Forest is essentially abandoned on Fabric, and Tom's storage stuff could be removed entirely.

- fixed a crash that happens when browsing crafting table recipes in REI, due to some YTTR items.
- neutered all Ad Astra and AE2 worldgen (meteors and oil). When the time comes to edit them into the progression, all materials needed will be craftable.
- added infinite nodes spawning for oil (only in sand), and gas. Same as other quarries. Quests updated.
- upped all infinite ore nodes from 3 (technical minimum) to 5 and tweaked again spawn values. May be too much. As usual only 1 block needed for quarries. The others can be broken for extra resources.
- tagged the nodes as "obsidian", maybe Create will recognize the tag and not make the blocks movable with contraptions? (probably it doesn't work)

- currently removed tis-3d and markdownmanual since incompatible with latest fabric
- removed minecart-crashes moved to Modrinth only

- added recipe-essentials-forge-fabric (risk of breaking everything: moderate, if recipes become bugged, this might be first suspect...)
- added deeperdarker
- added morewaterlogging

- updated libipn
- updated ruins
- updated ftb-xmod-compat
- updated yungs-better-mineshafts-fabric
- updated repurposed-structures-fabric
- updated smooth-chunk-save
- updated selene
- updated applied-energistics-2-wireless-terminals
- updated roughly-enough-items
- updated immediatelyfast
- updated wthit
- updated ftb-quests-fabric
- updated spectrum
- updated applied-botanics-addon
- updated mariums-soulslike-weaponry
- updated rhino
- updated spice-of-fabric
- updated kubejs
- updated travelers-backpack-fabric
- updated expert-armor
- updated badpackets
- updated extreme-sound-muffler-fabric-official
- updated modern-industrialization
- updated naturalist
- updated dank-storage-fabric
- updated fabric-language-kotlin
- updated deeperdarker
- updated inventory-profiles-next
- updated supplementaries
- updated cinderscapes
- updated xaeros-world-map
- updated lets-do-bakery
- updated terralith
- updated extended-drawers
- updated lets-do-candlelight
- updated bygone-nether-fabric
- updated friends-and-foes
- updated emi
- updated modernfix
- updated fabrication
- updated oh-the-biomes-youll-go-fabric
- updated polymorph-fabric
- updated xaeros-minimap


2-HEAVY.0.2.3 Sep 22, 2023
Optionally manually install (mods not available on curseforge anymore): 
https://modrinth.com/mod/memoryleakfix/version/v1.1.2
https://modrinth.com/mod/yttr/version/7.681+1.19.2
(if you use this updated version of yttr, remove the version present and also delete "lib39-1.4.2.jar" from mod folder)

Another careless dump of recipes from Supersymmetry: 
petrochem, tungsten line, supreme gasoline, manganese, molybdenum, chrome, epoxy, bastnasite line from GTNH

At some point I should also start looking into making these parts work better together, but focus continues on adding bulk
One day someone will pull all this together and make a good modpack :)

- readded megane

- updated modern-industrialization
- updated eldritch-mobs
- updated savage-ender-dragon
- updated tis-3d
- updated applied-botanics-addon
- updated kubejs
- updated ruins
- updated fabrication
- updated immediatelyfast
- updated ftb-quests-fabric
- updated balm-fabric
- updated xaeros-world-map
- updated xaeros-minimap
- updated cooking-for-blockheads-fabric
- updated create-steam-n-rails
- updated redirectionor
- updated travelers-backpack-fabric
- updated roughly-enough-items
- updated yungs-better-ocean-monuments-fabric
- updated selene
- updated sodium-shadowy-path-blocks
- updated smooth-chunk-save
- updated cupboard
- updated friends-and-foes
- updated emi

2-HEAVY.0.2.2 Sep 4, 2023
Optionally manually install (mod not available on curseforge anymore): https://modrinth.com/mod/memoryleakfix/version/v1.1.2

This is going to be more like a blog post.

This patch is a huge content drop, but it's also even more chaotic and rough than usual and will need more work to merge things into the progression. I'm following now Supersymmetry as the main lead, but I have to make choices about erasing and redoing things that already exist. Supersymmetry is also in its own development hell, and they are also going though some heavy changes and significant delays. I need the dust to settle a bit so that I can better integrate parts without doing the same thing over and over. I still have the priority on adding the "bulk" of content as fast as I can, and much less on overall polish and "good design". That will come later, if it will come.

I estimate now that, content-wise, this modpack is about 40% complete. That number doesn't really mean anything, and I'll always keep doing some stuff as long I keep working on this. But it is an idea about where the endgame is going to be, at some point between EV-LuV in GregTech standard progression. Somewhere between 200 and 400 hours from start to finish without tarrying. That means still tons of stuff to do, and it will always depend on how long I can keep working on this. There are both factors under my control, and those outside.

The move to 1.20 might happen in a month or two, but it's full of uncertainty. It could be either a matter of a couple of days or work, or a nightmare without end. I've already tried experimenting, but none of the custom content currently works and kubejs has currently dropped support for custom worldgen. So the situation isn't looking good.

No real changelog because it's a whole mess. I just need this out. The main part affecting gameplay is about MI cables being removed until much later. Petrochem still is a giant WIP.

In roughly another couple of weeks I plan to add also GTNH Bastnasite line, to match Monazite, and the full Supersymmetry Tungsten. And more petrochem, which is its very own hell.

- petrochem > rubber > new cable system. It's a bit messy, but MI cables are now at late game, replaced by... Powah FE cables. All recipes redone.
- New PBI processing from Supersymmetry > new machines > catalysts > BTEX > styere-butadiene > petrochem > (some) PTFE 
- more tweaks on tools behavior and stats

- removed krypton as an attempt to troubleshoot an obscure, occasional crash
- removed megane, crash with wthit

- added createfabricreibugfix
- added bugjump

- updated repurposed-structures-fabric
- updated extreme-sound-muffler-fabric-official
- updated ftb-chunks-fabric
- updated fabrication
- updated beachparty
- updated create-fabric
- updated immersive-weathering-fabric
- updated applied-energistics-2
- updated immediatelyfast
- updated powah-rearchitected
- updated ftb-quests-fabric
- updated xaeros-minimap
- updated modern-industrialization
- updated lootjs
- updated modernfix
- updated xaeros-world-map
- updated friends-and-foes
- updated terralith
- updated roughly-enough-items
- updated labels
- updated supplementaries
- updated create-steam-n-rails
- updated ruins
- updated kubejs
- updated farmers-delight-fabric
- updated brazier
- updated vinery
- updated redirectionor
- updated selene
- updated cupboard
- updated ftb-xmod-compat
- updated rhino
- updated badpackets
- updated rightclickharvest
- updated inventory-profiles-next
- updated lets-do-candlelight
- updated just-enough-calculation
- updated smooth-chunk-save
- updated libipn
- updated fabric-api
- updated wthit
- updated structure-essentials-forge-fabric
- updated fabric-language-kotlin


2-HEAVY.0.2.1 Aug 9, 2023
Previous version was switched to "do not download" alpha due to MI and new Kubejs incompatibility that broke quarries recipes. New MI version fixed this.

There's still a bug with MI showing x81 amount of fluids in machines, and also waiting on a Create update that is already a month old.

This version adds LV quarries, the first electrical tier of the new quarry system. This uses specifically HSLA Steel as an "homage" to Reika's Rotarycraft on 1.7.10. There's quite a bit of old-school micro crafting where I took inspiration from Rotarycraft components. Beside that, there's nothing I can do to imitate the function of the mod. The recipe for steel is inspired by the original, but due to limits in MI recipe system I cannot do anything that works dynamically, sadly.

I also started taking a look at the deeper parts of the progression and internal components to greggify more. There are some very preliminary scattershot changes I've made, and it will lead to a significant overhaul of the whole petrochem section, eventually leading to its own dedicated quest page. Therefore drills for oil will also be redone along with the refining system. Rubber will come in four different tiers through the progression, and if Supersymmetry stabilizes a bit more, I'll redo PTFE. And if it merges the commit, next version will already have the quite convoluted tungsten line.

There are a number of tweaks across the progression that I can't document because they were done in a disorganized way and now I cannot say what happened when. I just need to draw a line with this version as a starting point.

- with LV quarries, at Tier 5, I spent a few days recalculating everything and tweaking values within the previous tiers. Still all quite rough but at least moving in the right direction.
- added a full set of flint tools and rebalanced some values. To compensate, stone tools are nerfed (in durability).
- also added a full set of reinforced flint tools, with some weird processing, vaguely based on a recent mod in Vintage Story.
- books requiring some new processing, from resin to... glue.

- added redirectionor
- re-added immediatelyfast, since the dev has seen the light

- updated savage-ender-dragon
- updated peripheralium
- updated farmers-knives
- updated wthit
- updated naturalist
- updated ftb-library-fabric
- updated fabrication
- updated beachparty
- updated xaeros-world-map
- updated sword-parry
- updated modern-industrialization
- updated yungs-better-nether-fortresses-fabric
- updated modernfix
- updated ruins
- updated ftb-chunks-fabric
- updated ironchests
- updated crafting-tweaks-fabric
- updated ftb-quests-fabric
- updated xaeros-minimap
- updated cultural-delights-fabric
- updated megane
- updated jamlib
- updated reeses-sodium-options
- updated brazier
- updated chimes
- updated fabric-language-kotlin
- updated ftb-xmod-compat
- updated kubejs
- updated terralith
- updated emi
- updated spice-of-fabric
- updated unlimitedperipheralworks
- updated sodium-shadowy-path-blocks
- updated roughly-enough-items (updated but not latest, because of current crash bug)
- updated wabi-sabi-structures-fabric
- updated vinery
- updated nullscape

2-HEAVY.0.2.0 Jul 19, 2023
Version bump. No content changes. 
This is a test, MAJOR move to Kubejs 6.1. I guess I'm one of the first to update. That means the whole recipe system was changed and required some internal fixes.
For players there shouldn't be real differences, loading into the world should be a little better since recipes don't have to be loaded twice now, and it should help on early memory usage. I've cleaned the log of some errors, but it shouldn't matter.
It just needs to be tested, but it also prepares the path to 1.20, so that I should be more or less ready whenever the relevant mods are updated. I should be able to resume working on content in the next few days.

This is becoming the moment when 1.19.2 is piling up substantial bugs that modders are refusing to fix because they are busy version chasing. Sadly, 1.19.2 isn't going to be a good version to stay on. We are forever running on unstable ground because people are bad.
Minecraft modpacks aren't made with tech. They are made with hope and prayers, and they are destined to fail.

- removed immediatelyfast (bad dev, version chasing, refusing to fix bugs)

- added ftb-xmod-compat, then REMOVED. FTB stuff is broken. I've waited the whole day. I report problems, they keep breaking stuff. I rolled the whole thing back. Good riddance. Max to the rescue. Thankyouverymuch.

- updated ad-astra
- updated applied-energistics-2
- updated brazier
- updated emi
- updated fabrication
- updated ftb-library-fabric
- updated kibe
- updated kubejs (big one)
- updated lets-do-candlelight
- updated lets-do-wine
- updated modernfix
- updated roughly-enough-items
- updated ruins
- updated spectrum
- updated sword-parry
- updated toms-storage-fabric
- updated lootjs
- updated ftb-quests-fabric (noped out, new versions bugged)
- updated modern-industrialization


2-HEAVY.0.1.5 Jul 12, 2023
Another tiny hotfix for a progression block. No time for the next 10 days or so to work on something more interesting.

- Progression block due to soldering alloy required for LV hulls requiring a steel fluid hatch, itself requiring steel tanks that were remade to use reinforced glass, only available later. Fixed by creating a detour using tiny soldering dusts not requiring steel hatches. Added quest to explain the situation.
- removed again bclib bucket recipe override...

- updated cloth-config
- updated create-steam-n-rails
- updated emi
- updated farmers-delight-fabric
- updated feytweaks
- updated friends-and-foes
- updated ftb-quests-fabric
- updated lets-do-wine
- updated mob-variants
- updated modernfix
- updated polymorph-fabric
- updated ruins
- updated travelers-backpack-fabric


2-HEAVY.0.1.4 Jul 6, 2023
"Hotfix" for a progression block. I'll try to patch these immediately as long people report them.

- Macerator needing fluid pipes, requiring potin, requiring lead dust, requiring macerator. Fixed (Create millstone).
- potin slightly changed to bronze and lead into an alloy smelter.
- redone PVC following Supersymmetry recipes, with some silly detours.

- updated fabric-language-kotlin
- updated smooth-chunk-save

2-HEAVY.0.1.3 Jul 3, 2023

Quick small update to match the just released Create with a few bug fixes

- added Rocket Fuel H8N4C204 and relative chain from TJ, but it's only an experiment before I dig deeper into petrochem
- added gallium to diodes, hopefully it won't block everything with the ratios
- alloy smelter is now a weird multiblock... with a chimney. The electric alloy smelter continues to exist as single block. Recipes have been split.
- invar is alloy smelter only, rather than mixer
- made fireclay even worse, and it was terrible already
- added a gravel to clay recipe
- slightly restored chemical reactor recipe
- removed Create gravel washing returning iron nuggets, replaced with some calcite and rock salt

- removed pehkui, bewitchment, bewitchment plus and besmirchment in the hunt for better performance (not that much better... One by one I'll remove all mods until nothing is left)

- updated beachparty
- updated brazier
- updated create-fabric
- updated eldritch-mobs
- updated friends-and-foes
- updated inventory-profiles-next
- updated lets-do-wine
- updated polymorph-fabric
- updated ruins
- updated selene
- updated terrablender-fabric
- updated toms-storage-fabric
- updated wired-redstone


2-HEAVY.0.1.2 Jun 29, 2023

Rather than decreasing, work to do increases...
This version has lots of undocumented changes, because I was tweaking things across the board and completely lost track of everything.

- another round of scattered changes through the early game, mostly around clay, iron and steel. Added step by step quests to guide through the convoluted process of processing iron and steel under the new rules.
- Both aluminium and stainless steel, and silver to a less extend have now more complex processing, adapted from Supersymmetry. I've detailed the process with new quests for aluminium, but not for stainless steel yet. All comes with new machines and multiblocks because it was a mess to figure out...
- chocolate bars now required to craft aluminium
- wrong dependency in a early cogwheel quest for some unknowable reason, that would make the quest impossible to complete
- corrected very old script conflict causing vanilla arrows requiring electrum cables and some other similar brokenness
- reduced recipe times for all brick types
- replaced the vanilla blast furnace nested recipe requiring a furnace, replaced with a block of coal
- MD fluid pipes now require potin (mix of copper, tin, lead)
- yttr big iron from gadolinite rebalanced to not break progression and be actually useful
- coke oven coal/charcoal adjusted and made linear coal > charcoal > coke
- new Create version with some adjustments

- replaced right-click-harvest with rightclickharvest, apparently obsolete, added the required jamlib
- added sooty-chimneys-fabric

- removed FauxCustomEntityData & IngredientExtensionAPI (leftover CT dependencies)
- removed simplepipes, pipeplus, mcpitanlibarch, break EMI
- removed create-steam-n-rails (not updated to new Create)
- removed cccbridge (not updated to new Create)
- restored emicompat (apparently not guilty)

- updated alternate-current
- updated applied-energistics-2-wireless-terminals
- updated bclib
- updated beachparty
- updated betterend
- updated betternether
- updated cinderscapes
- updated create-deco-fabric
- updated create-fabric
- updated emi
- updated enhanced-celestials-fabric
- updated extended-drawers
- updated fabric-language-kotlin
- updated fabric-waystones
- updated fabrication
- updated fish-of-thieves
- updated friends-and-foes
- updated from-the-fog
- updated ftb-chunks-fabric
- updated ftb-quests-fabric
- updated ftb-teams-fabric
- updated inventory-profiles-next
- updated ironchests
- updated lets-do-wine
- updated libipn
- updated masiks-puzzle-dungeon-forge-fabric
- updated modern-industrialization
- updated modernfix
- updated oh-the-biomes-youll-go-fabric
- updated pehkui
- updated puzzles-lib
- updated rightclickharvest
- updated roughly-enough-items
- updated ruins
- updated selene
- updated simple-copper-pipes
- updated spectrum
- updated structure-essentials-forge-fabric
- updated supplementaries
- updated tempad
- updated terrablender-fabric
- updated travelers-backpack-fabric
- updated unlimitedperipheralworks
- updated wired-redstone
- updated wthit
- updated xaeros-world-map
- updated xaeros-minimap



2-HEAVY.0.1.1b Jun 4, 2023
Fixed another EMI problem due to obsolete plugin.

- added recipe history to EMI default layout

- removed emicompat

- updated modernfix
- updated supplementaries (didn't even change version number...)

2-HEAVY.0.1.1 Jun 3, 2023
Minor version for some relevant mod fixes, while waiting major Kubejs and Create updates, hopefully soon. Lag fix in REI update that has been annoying me for a while.

- diamond ores now drop one diamond only 30% of times, otherwise they drop shards. Similar use since both diamonds and shards are crushed and then melted to use as armor and tools
- beefed up andesite worldgen, just to be sure since higher Create demands
- fixed Create zinc ores requiring iron+ pickaxe, moved back to stone level (major silly oversight...)
- added early zinc quarries just in case, very little output but also needed in small amounts
- forgot that wooden pickaxe is not necessary, so removed
- slightly nerfed grout recipe in mixer
- tweaked capacitor recipe to require some gold, some other minor changes I forgot
- removed vanilla respawn anchor

- added polymer (avoid EMI crash)

- updated architectury-api
- updated beachparty
- updated bewitchment-plus
- updated bookshelf
- updated botania-fabric
- updated chipped
- updated corgilib
- updated emi
- updated extended-drawers
- updated lets-do-wine
- updated masiks-puzzle-dungeon-forge-fabric
- updated megane
- updated modern-dynamics
- updated modernfix
- updated naturalist
- updated nullscape
- updated pehkui
- updated roughly-enough-items
- updated ruins
- updated selene
- updated structure-essentials-forge-fabric
- updated supplementaries
- updated terrablender-fabric
- updated the-graveyard-fabric
- updated toms-storage-fabric


2-HEAVY.0.1.0 May 26, 2023
Version number change to indicate major changes

- Overhaul of early game + Create + all early quests redone. Things probably need some balance and tweaks, but the overall shape is now set closer to where I want it to be. Rather than start nerfing some things, this sets the bottom line. Some recipes may appear just too much, but keep in mind there's always a renewable, inifinite source in sight. The goal is: convoluted, "complex" processing, but easy to find and renewable sources. And that's also why I'll keep looking for resource sinks that are meant to last the whole way through.
- Early game questbook redone to illustrate the new progression, Heavy & Lite versions unified.
- Andesite Alloy is now early game boss to fight, with other mid-bosses along the way like paper, leather and rubber.

- Create had a problem where fluid pipes wouldn't work with steam, starting from February release. Since this was necessary for the progression, it was a major issue. Mod update fixed this (until the next problem, for example mechanical pumps seem to lag over time, waiting on that fix too now).

- removed recipe selectors from the first quarry tiers, to decrease costs, added quartz to the first tier, some other changes as part of early game tweaking
- disabled fabrication void particles because of z-fighting artifacts, then enabled again: fixed in mod update
- tweaked display of expanded drawers
- fixed create deploying recipe that was making steel (once again) impossible (steel and other things reworked as part of early game overhaul)
- it was reported that mud turned to cracked with 'immersive weathering', breaking mud quarry, changed to packed mud + various recipes changes
- some fixes to the progression around ethylene, basic upgrades and titanium
- reported twilightforest ingots having incompatible tag
- forgot to remove logging from lootjs, shouldn't matter anyway
- some more loot nerfs
- fixed inventory buttons in backpacks
- nerfed back a couple things MI boosted in new versions

- replaced better-advancements with paginated-advancements, because of better layout, and now debug messages not obscuring the screen anymore

- added modernfix (testing)
- added create-steam-n-rails
- added block-runner-forge (it's still fabric)
- added beachparty (lol)
- added naturalist
- added cherished-worlds

- updated adventurez
- updated applied-botanics-addon
- updated applied-energistics-2
- updated architects-palette-fabric
- updated architectury-api
- updated besmirchment-2
- updated betterend
- updated bewitchment
- updated botania-fabric
- updated chalk-fabric
- updated cinderscapes
- updated colorfulazaleas
- updated cooking-for-blockheads-fabric
- updated corgilib
- updated crafting-tweaks-fabric
- updated create-deco-fabric
- updated create-fabric
- updated expert-armor
- updated extended-drawers
- updated fabric-language-kotlin
- updated fabrication
- updated friends-and-foes
- updated from-the-fog
- updated ftb-library-fabric
- updated ftb-quests-fabric
- updated incendium
- updated inventory-profiles-next
- updated labels
- updated lets-do-wine
- updated libipn
- updated mariums-soulslike-weaponry
- updated megane
- updated miskatonic-mysteries
- updated mob-variants
- updated modern-dynamics
- updated modern-industrialization
- updated nullscape
- updated pehkui
- updated peripheralium
- updated powah-rearchitected
- updated puzzles-lib
- updated repurposed-structures-fabric
- updated ruins
- updated savage-ender-dragon
- updated selene
- updated simple-copper-pipes
- updated spark
- updated structure-essentials-forge-fabric
- updated stylish-effects
- updated supplementaries
- updated sword-parry
- updated terralith
- updated the-graveyard-fabric
- updated toms-storage-fabric
- updated travelers-backpack-fabric
- updated turtlematic
- updated unlimitedperipheralworks
- updated wthit
- updated xaeros-minimap
- updated xaeros-world-map
- updated youre-in-grave-danger
- updated item-filters



2-HEAVY.0.0.14 Apr 19, 2023
Serious Hotfix edition:
last version had a MAJOR OVERSIGHT after the introduction of lootjs. Due to a harmless, single line of script used to remove ingots from random loot, ALL BLOCKS in the WHOLE GAME multiplied themselves. I'm in awe at how this modpack continues to break in major ways. The issue is of course fixed now.

Some recipes weren't working, for example the recipe for making steel molds in the Steam Blast Furnace. Due to the steel mix > steel ingot recipe triggering without considering the other object that would need to give the mold its shape. I've now edited similar conflicts so they use a Create precision mechanism as a manual "selector". There are likely MORE recipe overlaps that need to be addressed, but it's currently impossible for me to have list. I've fixed those that were more obvious to me, including ALL quarry recipes. So the only way is that if you find one, tell me and I'll fix immediately.

This version was released to fix the above two major issues, as soon as I was made aware of them. I'm currently working on overhauling Create automation, recipes and progression. So this part should come next.

- recipe reloading at game start should now happen with no delay. Hopefully this works, please check that recipes are loading correctly
- Added an early game multiblock for automated clay production, courtesy of Rasm. Waiting for the Create overhaul so that I can add quests and everything.
- Goes along with a singleblock evaporation tank producing packing mud (also Rasm).
- as part of the above, diamond ores used to drop coal (lol), this should be fixed now and they should drop diamonds as usual...

- updated applied-energistics-2
- updated extended-drawers
- updated ftb-chunks-fabric
- updated immediatelyfast
- updated lootjs
- updated mariums-soulslike-weaponry
- updated mcpitanlibarch
- updated mob-variants
- updated modern-industrialization
- updated pehkui
- updated powah-rearchitected
- updated revelationary
- updated ruins
- updated selene
- updated servercore (verify?)
- updated spectrum
- updated structure-essentials-forge-fabric
- updated supplementaries
- updated the-twilight-forest
- updated travelers-backpack-fabric
- updated wthit
- updated xaeros-world-map
- updated xaeros-minimap

2-HEAVY.0.0.13 Apr 10, 2023
One by one they all fall: backpedaling on the attempt to keep heavy survival aspects. The mod responsible for heat/cold mechanics has spam of unanswered github issues, every time I test it, something else breaks in a major way. I've removed it and this should contribute to make this version more actually playable. The hot/cold stuff can be good to have, but it needs to be well designed. This one wasn't. At some later point I'll reconsider. Thirst mechanic also gone because it doesn't fit well in the progression. 

Eden Ring mod gone too. It had a dimension with nice sky islands, but they need to have a purpose. It seems the gravity system was adding a bit of server overhead everywhere. It could even be used as a void dimension to set a factory in, considering that the portal, I think, has only one access point and basically no monsters spawn in there. Nice and cozy, low tps. Removed from now as I'm trying to make things work.

Yung's Better Nether fortresses seems to have VERY heavy generation, stacked on top of everything else... The Nether looks INSANE, for now I'm not removing the mod. If you have troubles then try removing this one.

Temporarily removed CraftTweaker. This wasn't compatible with Lootjs, but apparently it was Lootjs "fault". I kind of feel bad removing CT because it always worked perfectly, compared to all other stuff that is regularly broken.

- Custom GT processing lines now over 420+ custom recipes. Added all Naquadah up to alloy/LuV, made as a remix of TJ/Nomifactory hardmode. To make Naquadaria you need to move through both Naquadah and Enriched Naquadah. Polybenzimidazole added, from GTNH. 50-60 recipes added, plus more scattered around. Still need to work on uses.

- MAJOR OVERSIGHT, the primitive boiler for the early quarries didn't work because I tuned the recipe after testing it. Values now corrected.
- bad settings lead to campfire being placed as unlit... My bad
- vanilla gilded blackstone and nether gold ores overridden, both drop precious nuggets now
- disable bewitchment silver, will look into at some other time
- wood nerf redone to be compatible with other mods plank types
- removed byg crafting tables
- tweaked some YTTR settings, Nether custom "top" was overridden by other mods, no workarounds, so it's off now, turned off wasteland biome as well since it was laggy
- cleaned some loot tables through lootjs
- sourced radon by pressurizing air in the nether, the distilling liquid nether air
- messed a bit with all pipe recipes, and glass

- removed environmentz, dehydration and eden-ring, as written above
- removed nyfs-spiders, again great concept, but buggy and I'm desperate to carve back some performance
- removed roughly-enough-loot-tables, I override them with scripts, so they are completely wrong
- removed building-wands

- added chipped (this adds significant memory overhead and ~20 seconds on load time... for now it's in)
- added ctm-refabricated
- added colorfulazaleas
- added sihywtcamd
- added lootjs

- updated memoryleakfix
- updated create-deco-fabric
- updated rhino
- updated architectury-api
- updated archon
- updated bewitchment-plus
- updated create-fabric
- updated emi
- updated extended-drawers
- updated extreme-sound-muffler-fabric-official
- updated fabric-language-kotlin
- updated fabrication
- updated feytweaks
- updated ftb-chunks-fabric
- updated ftb-library-fabric
- updated ftb-quests-fabric
- updated ftb-teams-fabric
- updated immersive-weathering-fabric
- updated inmisaddon
- updated inventory-profiles-next
- updated lets-do-wine
- updated mcpitanlibarch
- updated modern-dynamics
- updated modern-industrialization
- updated pehkui
- updated powah-rearchitected
- updated repurposed-structures-fabric
- updated resourceful-lib
- updated ruins
- updated selene
- updated simple-copper-pipes
- updated simplepipes
- updated spice-of-fabric
- updated stylish-effects
- updated supplementaries
- updated toms-storage-fabric
- updated visual-workbench
- updated wthit
- updated xaeros-world-map
- updated xaeros-minimap
- updated friends-and-foes

2-HEAVY.0.0.12 Mar 24, 2023
Current plan: complete naquadah + polybenzimidazole > add quarries to LV and maybe more > ore processing overhaul

- zip size larger to include MI datagen, rather than generating it every time on launch
- removed vanilla gold veins spawing in the nether, as intended from the beginning. Replaced with precious ore.
- precious ore in the nether drops precious nuggets (2-12), like vanilla in a cursed way
- fixed some wrong tokens in quarry recipes (lead & zinc)
- small overhaul of infinite ore nodes, they generate more frequently and some values tweaked
- quests updated to the new values
- add a quartz infinite node spawning in the nether and corresponding early quarry recipes (starts at tier 2/bronze)
- since infinite ore nodes spawn quite frequently but you usually only need one of each type, rather than litter the world with useless blocks I've added the possibility to break them (requires an iron pickaxe and takes some time). They drop 12 to 20 raw ores of their type. More free resources.
- added some silly create/mixing recipes to recycle quarry "experience", if needed (just provide small amount of free basic materials)
- nerfed chest recipe (cheaper now)
- some adjustments around quartz early usage
- differentiated recipes between the two bronze drills
- minor MI pipes retexture, I've added an image on the page if you want to check (MI pipes are still gated at the assembler)
- added some chem formulas to geghilarity items, only a small portion, fluids are technically impossible at the moment
- four minor chemical recipes for oxygen and hydrogen, from glass, glycerol and methane, generally used as default in GT
- started tweaking some loot tables, it will take a very long time...

- updated lithium
- updated terralith
- updated nullscape
- updated structory
- updated ad-astra
- updated balm-fabric
- updated crafttweaker
- updated emi
- updated environmentz
- updated extreme-sound-muffler-fabric-official
- updated fabric-api
- updated fabric-language-kotlin
- updated fabrication
- updated fish-of-thieves
- updated ftb-chunks-fabric
- updated ftb-library-fabric
- updated handcrafted
- updated immediatelyfast
- updated incendium
- updated inventory-profiles-next
- updated lets-do-wine
- updated libipn
- updated mcpitanlibarch
- updated modern-dynamics
- updated repurposed-structures-fabric
- updated resourceful-config
- updated resourceful-lib
- updated revelationary
- updated roughly-enough-items
- updated ruins
- updated selene
- updated spark
- updated spectrum
- updated supplementaries
- updated toms-storage-fabric
- updated travelers-backpack-fabric
- updated wthit
- updated xaeros-minimap
- updated yungs-api-fabric
- updated xaeros-world-map


2-HEAVY.0.0.11 Mar 11, 2023
(I updated some mods without testing anything, hopefully there's nothing game breaking...)

- made infinite ore nodes emit some light, gone from impossible to find to very easy, especially in big & dark caves
- completing villaging eradication
- added some Lyeo recipes & fixes, a few things still need graphics or are dead ends, but it's all late game
- disabled extended drawers looking into chunks constantly

- restored lithium (disable temperature caching for compatibility with bclib stuff)

- added cccbridge
- added create-deco-fabric
- added let-me-despawn

- removed stoneholm (really, again?)

- updated spectrum
- updated xaeros-minimap
- updated selene
- updated friends-and-foes
- updated emi
- updated eldritch-mobs
- updated crafttweaker

2-HEAVY.0.0.10 Mar 9, 2023
- nerfed lignite torches

- removed chipped and ctm-refabricated, bugs, conflicts and lag https://github.com/terrarium-earth/Chipped/issues/176
- lithium (new version BROKEN, conflict BClib)
- added memoryleakfix

- removed bodacious-berries for spamming grapes all over the place, including ground and causing lag (will look into at a later point)
- removed more-villagers-fabric (really?)
- removed storage-cabinet

- updated crafttweaker
- updated friends-and-foes
- updated ftb-chunks-fabric
- updated icarus
- updated mcpitanlibarch
- updated supplementaries

2-HEAVY.0.0.9 Mar 7, 2023
I'm mostly concerned about server lag and memory usage here. In 2-3 days from this update I'll release a repackaged LITE version with a significantly reduced mod count. That one will be the "playable" version. And hopefully back to frequent, small updates.

- First part of the new positional quarry system and related quests, this took me way too long...
- complex rhenium processing not currently available on any GregTech version (it's complete, but currently unhooked from the progression)
- fixed some Create recipes not showing in EMI due to silent crash induced by Farmer's Delight
- fixed milling/crushing Create recipes on ores that weren't running even if properly shown on recipe viewer.
- Create blasting was bypassing all rules to smelt iron, so the recipe is completely gone. You can't smelt iron, by design.
- small copper smelting nerf (still offset by Create bulk blasting)
- gated macerator a little further, as intended
- expanded ebf3 and 4 to have 2 output fluid slots to accomodate new recipes
- "flint and steel" has a secondary recipe as a workaround for nether portal due to Iron Apocalypse, until I invent a better (worse) solution.
- lots of machines were uncraftable because of conflicts with recipes requiring MI pipes, that were disabled, all moved to Modern Dynamics pipes
- tweaked all the recipes for pipes (Modern Dynamics early on, MI own pipes enabled again, but delayed in progression)
- more wood nerf
- some automation for very early recipes, and fixed some terrible oversights (recipe for torches was cursed, it still is, but less)
- messed some more with early iron processing
- minor tweaks around andesite recipes
- manually added tags to custom machines so they can be broken and picked up
- alternative recipe for bucket, to avoid iron ingots and jumpstart steam quarries
- worked around a Create recipe crash
- fixed brass dust recipe
- "improved" the recipes for cobblestone generators
- minor quest fixes
- optimized .png for all the custom items added (from 1.59Mb down to 259kb)
- minor mods settings tweaks/polish (xaeros, sword parry, pick up notifier)
- redone EMI keyboard shortcuts as they were conflicting with REI, just the key below, ex. R > F, A > Z
- EMI now works much better and will show all recipes for part of the progression

- removed rusticated and untitled-duck-mod-fabric as an attempt to reduce server lag
- removed createaddition, erratically updated and very poorly maintained (was fixed but may have other issues, cannot bother with it now)
- removed better-stats (kind of spoilery for mobs? and too transparent UI)
- applied-energistics-2-wireless-terminals (MANUAL - this auto updated to 1.19.3, verify)

- added fabrication (hidden major change... for more trolling of players, but it's only one half of what I need)
- added handcrafted
- added emicompat (included jar)
- added yungs-better-nether-fortresses
- added tempad
- added chipped
- added ctm-refabricated (dependency)
- added bygone-nether-fabric 
- added toms-storage-fabric

- updated ftb-teams-fabric
- updated immediatelyfast
- updated resourceful-lib
- updated resourceful-config
- updated selene
- updated ruins
- updated emi
- updated emi-loot
- updated crafttweaker
- updated betterend
- updated botania-fabric
- updated fish-of-thieves
- updated inventory-profiles-next
- updated libipn
- updated mob-variants
- updated revelationary
- updated roughly-enough-items
- updated simple-copper-pipes
- updated supplementaries
- updated travelers-backpack-fabric
- updated wthit
- updated architectury-api
- updated corgilib
- updated create-fabric
- updated do-a-barrel-roll
- updated fabric-api
- updated fabric-language-kotlin
- updated ftb-chunks-fabric
- updated immersive-weathering-fabric
- updated kubejs
- updated mariums-soulslike-weaponry
- updated savage-ender-dragon
- updated spark
- updated sword-parry
- updated xaeros-minimap
- updated xaeros-world-map
- updated ad-astra
- updated alternate-current
- updated applied-botanics-addon
- updated balm-fabric
- updated bclib
- updated besmirchment-2
- updated betternether
- updated blossom
- updated cooking-for-blockheads-fabric
- updated crafting-tweaks-fabric
- updated easy-magic
- updated enhanced-celestials-fabric
- updated entityculling
- updated expanded-delight
- updated extended-drawers
- updated forge-config-api-port-fabric
- updated ftb-library-fabric
- updated ftb-quests-fabric
- updated geckolib
- updated health-overlay-fabric
- updated megane
- updated modern-dynamics
- updated modern-industrialization
- updated modmenu
- updated pehkui
- updated pick-up-notifier
- updated pipeplus
- updated repurposed-structures-fabric
- updated spectrum
- updated visual-workbench
- updated wired-redstone
- updated yungs-api-fabric
- updated yungs-better-desert-temples-fabric
- updated twilight forest
- updated bookshelf
- updated fabric-waystones
- updated oh-the-biomes-youll-go-fabric


2.0.0.8 Jan 25, 2023

IMPORTANT-1: This is another quick fix because I only found out now it was impossible to craft... planks. This due to my mistake when I rearranged things. This is fixed now.

IMPORTANT-2: During some tests, some quests wouldn't complete even if I had the correct items. This is not a problem on my end and no one knows how to fix. It happens at random. If you log out and back in the quests should get completed. So keep that in mind in case you get stuck on a quest.

- Lyeo fixes on biodiesel, not tested by me but should be fine + some recycled dead ends and lithium in silicon batteries
- fix magnesium chloride recipe due to bad cut & paste

- rebalanced a bit the health/food system (start with 6 hearts, gain half a heart every 7 new types of food you eat, up to 20 hearts max, after dying you should respawn with 7 full hearts at max, but can fill the rest by eating)


(tactical creeper, mob captains, fog looks good -- this is for me, silly mods on Modrinth side I'm testing that I can't add here)

- added rusticated (testing...)

- considering removing effective, might be buggy and abandoned on fabric (but looks nice)

- updated stats-keeper-fabric
- updated friends-and-foes
- updated corgilib
- updated crafttweaker
- updated emi
- updated expanded-delight
- updated roughly-enough-items
- updated selene
- updated supplementaries
- updated sword-parry


2.0.0.7 Jan 21, 2023
(quick release to update mods before they pile up too much, first part of quarry system overhaul in a week or so)

IMPORTANT: check the bed recipe while in game, if it shows the vanilla recipe, then scripts aren't loaded. In that case you can try the "/reload" command.
It's already set to do this 5 seconds after the server starts, but there can be problems that interfer with it. You'll have to report problems to me.
Due to recipes reloading, you'll always have a longer freeze when logging into the game.

- moved command to disable phantoms so that it's run only once rather than every server runs (to test)

- re-added health-overlay-fabric (spectrum compatibility)

- considering removing nyfs-spiders because spiders are having troubles climbing blocks... Dev says: "its been reported to me 1000 times. itll get fixed when/if i figure it out."

- updated do-a-barrel-roll
- updated youre-in-grave-danger
- updated emi
- updated trinkets
- updated xaeros-world-map
- updated xaeros-minimap
- updated corgilib
- updated spectrum
- updated revelationary
- updated better-fps-render-distance-fabric
- updated bookshelf
- updated building-wands
- updated crafttweaker
- updated croptopia
- updated extended-drawers
- updated fabric-api
- updated ftb-quests-fabric
- updated immediatelyfast
- updated kibe
- updated nethers-delight-fabric
- updated ruins
- updated selene
- updated supplementaries
- updated youre-in-grave-danger


2.0.0.6 Jan 15, 2023
(this was quite rushed, hopefully there aren't giant oversights)

- I planned to release the first rework on quarries/resources, but I got swamped figuring out recipes and I'll be busy for about a week and half. This was sorely in need of another update to attempt fixing some major performance problems. When the first part of this rework is done I'll also release a "LITE" version of the modpack, with a much reduced mod count, so that it will be a lot easier to run smoothly (sacrificing some scope & lofty ambitions).

This already have the worldgen changes with the infinite "ore nodes", defined at the best of the compromise I have available at the moment. Since recipes aren't quite ready, these (sporadic) ore blocks you can find around the world are useless. Please don't break them if you want to use them later when I'll replace the quarry system...

- MI added possibility to add more slots to existing machines like EBF, solving a preceeding problem with recipes requiring more output slots than those available by default. But for now I'm not going to use it since the EBF is still limited by coils (see below for more deeper changes), and I prefer to continue to use uncapped power until there isn't a better option.

- Vanadium processing that was brutally removed from Nomifactory Expert mode has been added here to be forever preserved, with love :)
- Vanadium processing now required for platinum group (sulfur trioxide)

- ...redone all the EBF coils, added Nichrome, Tungstensteel and HSS-G (Naquadah still requires some other stuff before it's ready). Not really used right now, but the groundwork is done

- expanded ethylene through some more forced processing ported from GTNH
- fixed mandatory ammonia line with some missing recipes that never existed, being this line optional in GT/Gregicality. Jumpstarting it now requires some... Trekking & waiting.
- other varied recipes added to source GT materials that don't have an ore origin here, much will change with the full ore processing overhaul
- future: vanadium will have an in-world source rather than quarry-only. Not as ore but rare output from ore/stone processing

- Changed some stupid recipes from cupronickel to copper

- Attempt at removing the worst monster in minecraft: phantoms (I'll add a handy recipe to craft membranes at a later point, could be its own fun tech processing...)

- removed better-tips (seems to be the cause of SIGNIFICANT increase of time required loading/unloading a world)

- added again yttr and lib39, problems should be fixed outside of worldgen lag in a single wasteland biome

- the procedure used to reload scripts twice after loading a world has been made more reliable, but this still necessarily causes some lags after you finish loading into a world. Please be patient. This is still a very bloated modpack (see above about plans for a lighter version)

- fixed heating stones, different ID from 1.18
- fixed additional inventory buttons no one asked for

- added nethers-delight-fabric
- added pipeplus
- added tis-3d
- added markdownmanual
- added ingredient-extension-api (seems now required for crafttweaker)
- added cultural-delights-fabric
- added servercore (trying...)

- updated modern-industrialization
- updated applied-energistics-2
- updated applied-energistics-2-wireless-terminals
- updated besmirchment-2
- updated bewitchment-plus
- updated building-wands
- updated pehkui
- updated supplementaries
- updated ruins
- updated do-a-barrel-roll
- updated immediatelyfast
- updated stats-keeper-fabric
- updated wired-redstone
- updated fabric API
- updated expert-armor
- updated resourceful-lib
- updated resourceful-config
- updated selene
- updated crafttweaker
- updated travelers-backpack-fabric
- updated botarium
- updated ftb-quests-fabric
- updated farmers-knives
- updated visual-workbench
- updated croptopia
- updated ad-astra
- updated factory-blocks
- updated lets-do-wine
- updated kubejs
- updated friends-and-foes
- updated friends-and-foes-beekeeper-hut-fabric
- updated extreme-sound-muffler-fabric-official
- updated forge-config-api-port-fabric
- updated labels
- updated paxi-fabric

2.0.0.5 Dec 30, 2022

Imagine loading the modpack and realizing most recipes DO NOT WORK, and even the crafting table wasn't craftable... That was the state of this pack, until this version.
This was only happening on 1.19, KubeJS is currently VERY broken and doesn't load tags and recipes as it should.
After several hours editing scripts to find problems and absurd workarounds, we got to the most stupid solution: loading scripts twice at log in.
This radically fixes all the issues, in exchange for some seconds of freeze when you log in the world.

Someone smarter could edit the scripts so that the reload only happen at server start rather than player log-in. But that would be only a problem if you want to run a separate server, and if you do, I suppose you have enough knowledge to do that edit yourself.

Things SHOULD finally work now, and the modpack will be cursed by design rather than technical problems (that will still exist, just hopefully in a lesser capacity).

Many things can be a challenge (annoying?) to craft, but at least now they should be possible.

The server freeze I was trying to track has been acknowledged by the yttr developer, and supposedly fixed within lib39. During testing there was still server lag, but due to worldgen in a specific yttr wasteland biome. So the overall problem should be addressed and the lag in that single biome only specific to it...
BUT!!! Right before I was uploading this file I've realized that the mod was breaking the F3 screen... Conflict with ImmediatelyFast, so I remove it once again for this version. No YTTR for now.

Finally, for the THIRD major problem: the EBF wasn't showing some recipes because MI is capped at 128eu max and only 1 output item. On 1.18 I had to work around this limit with silly gymnastics, on 1.19 I simply added a custom EBF that mimics the standard one. This one will run those "extra" recipes. It's called BlastER Furnace, rather than Blast Furnace. And since it's a custom multiblock it also comes with uncapped energy (the coils are simply ignored, you just build it with Kanthal and it will run everything even way above that tier... for now).

- removed ad astra iron to steel recipe
- fixed epoxy due to missing tinkers (what?)

- temporarily removed yttr and lib39 due to conflict with ImmediatelyFast
- re-added smooth-chunk-save since it did nothing wrong (hopefully)
- removed bats from the minimap, I don't need to know where they are and obscure everything else

- removed observable and replaced with good old spark

- updated better-advancements
- updated enchantments-descriptions
- updated fabric-language-kotlin
- updated selene
- updated turtlematic

2.0.0.4 Dec 28, 2022

Technical problems will always be my bane

- removed yttr, sadly, and restored smooth-chunk-save, the profiler showed something wrong with yttr that might be cause of server stalling, it SEEMS fixed... again


2.0.0.3 Dec 28, 2022

MAJOR PROBLEM: Modern Industrialization has a hard limit for EBF at 128EU and only 1 item output, this breaks most of GT processing and chemistry
NOTE: these recipes do exist and should still work (I nerfed the EU costs), but they won't show in REI, which is still a major problem
On 1.18 these are hard caps and there's nothing I can do about them, I'll have to figure out an alternative
On 1.19 I'll try to create a custom EBF with more slots, the power cap cannot be solved in any way atm

- Server freeze still not solved, looks like, might be due to saving too many chunks

- REI broken on 1.19, turned asynch off: https://github.com/shedaniel/RoughlyEnoughItems/issues/1297

- verified platline, added 2 minor recipes that were missing
- added tungstensteel
- finished recipes for LCR components and PTFE processing
- swapped electrum cables with aluminium on all recipes (due to gold shortage early), now electrum cables need polyethylene foils
- add polyethylene to turbo machine hull and polytetrafluroethylene to highly advanced machine hull
- replaced chromium plates with tungstensteel plates on highly advanced machine casing
- added naquadah line (another 20 recipes), but currently detached, needs source and destination
- experimental removal of MI pipes, replaced by same recipes using Modern Dynamics (19.2 only)

- added questbook on world spawn (untested)
- quarry quest funnies and elong game

- removed yungs-bridges-fabric because nonsensical

- updated yttr
- updated modern-dynamics
- updated inventory-profiles-next && libipn
- updated ruins
- updated peripheralium, unlimitedperipheralworks & turtlematic
- updated immediatelyfast
- updated selene
- updated supplementaries
- updated friends-and-foes
- updated playdate

2.0.0.2 Dec 24, 2022

Modpack isn't even approved that I push another version... Well, at least I'm testing the "toolchain"

- removed smooth-chunk-save as it seems responsible for the huge server freezes, it SEEMS fine now. Worldgen still slow for obvious reasons.
- removed damned "peculiar pieces" book on spawn
- removed fastanim due to crash, but might be related to bad server tick during test, also removed lunade-copper-pipe to be safe, since I don't want to retest again

- added just-enough-calculation

- updated presence-footsteps
- updated labels
- updated environmentz
- updated fabric API
- updated friends-and-foes
- updated resourceful-config

2.0.0.1 Dec 22, 2022

First release 
(development, from knowing absolutely nothing about how to put together a modpack, started in early September, first custom recipes and very early game, lots of troubles due to 'not consumed' items being broken in kubejs, then I spent most of October troubleshooting more problems, especially worldgen corruption due to shifting seeds because to badly configured mods on 1.18, in November I ported recipes from platinum group from TJ and only at this point Create was made available on 1.19 even if no official support on 1.19, so I kept working on 1.18, and early December custom machines support was added to MI, on 1.19, so I ramped up activity that lead up to the first version...)